Firefox 22 Ranorex Add-on incompatible

Bug reports.
skac
Posts: 1
Joined: Wed Jul 03, 2013 5:30 pm

Firefox 22 Ranorex Add-on incompatible

Post by skac » Wed Jul 03, 2013 5:33 pm

The Ranorex Add-on for Firefox 22 is incompatible. This seems to be reported frequently with past versions in searching the boards so is this a regular issue? I ask because we have releases that require our testing to be run and this seems like a bigger issue.

Thanks!

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Firefox 22 Ranorex Add-on incompatible

Post by Support Team » Thu Jul 04, 2013 7:33 am

Hello,

Unfortunately Firefox 22 is not supported at the moment, but it will be supported in our next release which will be released in the coming weeks. Unfortunately I cannot give you an exact date, but it looks good that it will be available this month.
skac wrote:I ask because we have releases that require our testing to be run and this seems like a bigger issue.
Usually, you just need to update to the newest Ranorex service release to enable automation again.
The reason is that Ranorex needs a Firefox plugin to enable automation and Firefox changes the interfaces required by Ranorex with almost every release (every 6 weeks). So we need to release a new version of our Firefox plugin with every Firefox version :?

Regards,
Bernhard
.
Image

sergii
Posts: 30
Joined: Fri Jun 07, 2013 11:07 pm

Re: Firefox 22 Ranorex Add-on incompatible

Post by sergii » Fri Jul 05, 2013 7:34 pm

Could you synchronize new version of Ranorex going live with new version of Firefox?
Just a suggestion that FF 22.0 beta was released some time ago and question of incompatibility of Ranorex Add-on with newest (not still released FF update) should have been spotted few weeks before release of 22.0.
We are doing the same in our development: installing alpha or beta of new updates and see if our product is compatible. If not - we are posting on forum warning to customers not to update to latest version of FF till for example July 15 (if we are not in time to release update simultaneously with FF).
Just a suggestion ;)

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: Firefox 22 Ranorex Add-on incompatible

Post by krstcs » Mon Jul 08, 2013 1:25 pm

Ranorex has to support more environments than just Firefox. Asking them to adjust their delivery schedule around just one of those products is a bit of a stretch. Why not do it around Chrome or Flash?

The fact that they actually push out updates at the rate they do is a testament to their desire to get it right, not get it fast.

Besides, every time they update, we have to make sure that their update didn't break test code, so if they speed up that much, we will all be checking compatibility of our existing tests more than creating new ones.
Shortcuts usually aren't...

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Firefox 22 Ranorex Add-on incompatible

Post by Support Team » Mon Jul 08, 2013 8:25 pm

sergii wrote:Could you synchronize new version of Ranorex going live with new version of Firefox?
We already try to, but sometimes the time between a Firefox Beta and the actual release is not long enough to ensure compatibility of the Ranorex Firefox addon. Especially, if there are fundamental changes to interfaces Ranorex requires or something changes between beta and release.

BTW we just released a new maintenance release that adds support for both Firefox 22 and 23.

Regards,
Alex
Ranorex Team
.
Image

sergii
Posts: 30
Joined: Fri Jun 07, 2013 11:07 pm

Re: Firefox 22 Ranorex Add-on incompatible

Post by sergii » Tue Jul 09, 2013 6:41 pm

You should just misunderstood me.
I'm not proposing to release new version of ranorex each time FF is updated - I'm proposing to release (if possible) new version of ranorex as fast as ranorex stop working due to incompatibility.
Some organizations have centralized update center or "always up to date" requirement to shipped software. It means that we must keep everything on the latest version: Windows Update, browsers, etc.
We are running tests in Bamboo automatically and as long as new version of something is not supported by ranorex - we cannot check the changes on that environment, while we have already bought dozens of licenses.

It's not my love or hate to Mozilla, it's rather business needs that ranorex is facilitating: continuous stability and non-interrupted (if possible) support of latest technologies.

Alex,
Is it possible to add "check for updates" option in Ranorex Studio Help menu? Because if not this message - I would have no idea that new release is available. Neither here http://www.ranorex.com/forum/announceme ... ws-f8.html nor here http://www.ranorex.com/product/tools.html I can find out about new version.

BTW, Thanks guys for your work ;)

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Firefox 22 Ranorex Add-on incompatible

Post by Support Team » Wed Jul 10, 2013 1:05 pm

Hello sergii,

Currently, we announce a new version a few days (typically 2-5) after it is released.
I added your feature request for a 'Check for version updates' in our internal bug tracking system in order to discuss a future implementation.

Thank you.

Regards,
Markus (T)
.
Image

lmpring
Posts: 12
Joined: Thu May 15, 2014 4:40 pm

Re: Firefox 22 Ranorex Add-on incompatible

Post by lmpring » Mon Feb 02, 2015 4:44 pm

Hi Markus,

My testing has to be done on future versions of Firefox (Beta, Aurora, etc) however it's not possible due to the Ranorex add-on disabling itself. Is it possible to stop the Ranorex add-on disabling itself so I can take my chances on it working with an 'unsupported' verison of the browser? Any other ideas are welcome as well...

Thanks!

Lisa

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3930
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Firefox 22 Ranorex Add-on incompatible

Post by odklizec » Mon Feb 02, 2015 5:55 pm

Hi Lisa,

There are several ways to re-enable FF extensions, which stopped working due to FF compatibility check. However, none of these solutions will make the plugin fully compatible with latest FF version! So use the below steps with caution.


If you are still interested, follow the steps in this blog post...
https://www.raymond.cc/blog/enable-fire ... f-firefox/
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

c676228
Posts: 176
Joined: Mon Apr 06, 2015 5:40 am

Re: Firefox 22 Ranorex Add-on incompatible

Post by c676228 » Thu Jul 16, 2015 1:36 am

My automation script stops to run in firefox and later I just noticed that Ranorex firefox plugin is disabled without my awareness. There is not any places in IDE showing that the firefox plugin is disabled sue to the incompatibility. Is it possible to popup a message to let users know?

I have firefox 39. I guess I accidentally upgrade the firefox without knowing that the Ranorex plugin's compatibility issue. Can you provide the location we can refer the most recent firefox is supported?

krstcs
Ranorex Guru
Posts: 2683
Joined: Tue Feb 07, 2012 4:14 pm
Location: Austin, Texas, USA

Re: Firefox 22 Ranorex Add-on incompatible

Post by krstcs » Thu Jul 16, 2015 1:32 pm

It's in the release notes: http://www.ranorex.com/free-trial/release-notes.html

Firefox 39 is supported as of Ranorex 5.4.0/5.3.3.
Shortcuts usually aren't...